Subject: Re: bug#12648: 24.2.50; display-buffer switches to another frame

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Oct 2012 19:26:29 +0200

> Date: Mon, 15 Oct 2012 14:52:44 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > I think this is different: setting pop-up-frames non-nil expresses a
>  > wish to see certain behavior that the default shouldn't have.
> 
> Well, if you call `display-buffer' with the FRAME argument 'visible
> you're explicitly asking for such behavior.

Fair enough.

>  > Yes, but is the current behavior useful as it is?
> 
> We have a choice between Scylla and Charybdis.  People complained that
> making a new frame select the window and reusing an existing frame not
> select the window would break their typing habits ...
> 
>  > If gud.el should call display-buffer in some different way to avoid
>  > selecting the frame with the source, that, too, could be a good
>  > solution.
> 
> IIUC that's what Chong's `inhibit-switch-frame' alist entry is meant
> for.  I haven't tried it yet, though.

Is that supposed to fix the source-in-other-frame case without harming
the source-in-other-window case (which works correctly with the
current code in gud.el)?  If so, then all we need is to change gud.el
to use that entry.  If some people want the current behavior with
'visible, then so be it; I only want to fix GUD, where I don't believe
anyone would want it.

Thanks.